#!/sbin/sh
# make sure system is mounted
mount /system
mount /data
mount /sdcard
:> /system/etc/mtab
cd /
#Journal added
echo "Formatting and creating an ext4 system"
#/system/xbin/busybox mke2fs -T ext4 -b 4096 -E stride=64,stripe-width=64 -O  extent,^huge_file -m 0 -L userdata /dev/block/mmcblk0p2
/system/bin/mke2fs -T ext4 -b 4096 -E stride=64,stripe-width=64 -O extent,^huge_file -m 0 -L userdata /dev/block/mmcblk0p2
echo ".......................................Done!"
mkdir /sd
#Creating log folders
/system/xbin/busybox mkdir /cache
/system/xbin/busybox mkdir /cache/log
/system/xbin/busybox chmod 660  /cache/log
/system/xbin/busybox mount -t ext4 /dev/block/mmcblk0p2 /sd
echo "Moving Data..."
cd /data
cp -a * /sd
cd /
sync
echo ".......................................Done!"
/system/xbin/busybox umount /sd
# Running patcher for mount problems in Linux & Mac
/system/xbin/busybox sed -i 's/dev_mount sdcard \/mnt\/sdcard auto /dev_mount sdcard \/mnt\/sdcard 1 /' /system/etc/vold.fstab
cd /
chmod 755 /system/etc/init.d/01data
umount /system
umount /data
umount /sdcard